This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239346 - Installation erases existing printer configuration
Installation erases existing printer configuration
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 14:54 EDT by Paul Hughett
Modified: 2009-01-20 05:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 05:26:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Hughett 2007-05-07 14:54:44 EDT
Description of problem:

Updating cups erases existing printer configuration information.


Version-Release number of selected component (if applicable):
1.1.22

How reproducible:

Not tested.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

I updated the CUPS package (plus many others) by using up2date, and rebooted the
system.  Attempting to print a file from acroread generated a message that no
default printer was defined.  Investigation revealed that the file
/etc/cups/printers.conf had been replaced.

Expected results:

The installer should have added the new configuration file as
printers.conf.rpmnew without touching the old configuration file.


Additional info:

I don't know for sure that installing cups was the cause of this problem, but
the evidence certainly suggests it.
Comment 1 Tim Waugh 2008-01-10 08:12:37 EST
What does 'printconf-tui --Xexport' say?  Please attach the output.
Comment 2 Phil Knirsch 2009-01-20 05:26:26 EST
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to persue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.